Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.syntax
Class Item

    java.lang.Object
      avrora.syntax.Item

Direct Known Subclasses:
  Item.InitializedData, Item.Instruction, Item.Label, Item.NamedConstant, Item.RegisterAlias, Item.UninitializedData

public abstract class Item
extends java.lang.Object

The `Item` class represents either an assembler directive, an instruction, or a sequence of initialized data with a source program.

Nested Class Summary
`static class` | `Item.InitializedData` The `InitializedData` item represents a section of programmer-declared initialized data within the program.
`static class` | `Item.Instruction` The `Instruction` item in a source program represents an instruction that must be simplified and added to the program.
`static class` | `Item.Label` The `Label` item represents a labelled location in the program that is given a name.
`static class` | `Item.NamedConstant` The `NamedConstant` item in a source program represents a directive that assigns a computable value to a name.
`static class` | `Item.RegisterAlias` The `RegisterAlias` item in a source program represents a directive that adds an alias for a register.
`static class` | `Item.UninitializedData` The `UnitializedData` item represents a declared section of data that is not given a value (a reservation of space).

Field Summary
`protected int` | `byteAddress`
`protected Module` | `module`
`protected Module.Seg` | `segment`

Method Summary
`int` | `itemSize()`
`abstract void` | `simplify()` The `simplify()` method reduces any computable constants to values, resolves register aliases, and creates instruction instances within this item, depending on exactly which type of item it is.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### module

    protected final Module module

### segment

    protected final Module.Seg segment

### byteAddress

    protected final int byteAddress

Method Detail

### simplify

    public abstract void simplify()

  The `simplify()` method reduces any computable constants to values, resolves register aliases, and creates instruction instances within this item, depending on exactly which type of item it is.

### itemSize

    public int itemSize()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD